.indexGroup {
  width: 100%;
  height: 140px;
  background-color: white;
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 20px;
  padding: 0 30px;
}
.indexGroup > .info {
  width: auto;
  height: 80px;
  display: flex;
  align-items: center;
}
.indexGroup > .info > .img {
  width: 80px;
  height: 80px;
  border-radius: 40px;
  -webkit-border-radius: 40px;
  -moz-border-radius: 40px;
  -ms-border-radius: 40px;
  -o-border-radius: 40px;
  border: 1px solid #eeeeee;
  margin-right: 20px;
}
.indexGroup > .info > .jifenInfo {
  width: auto;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
}
.indexGroup > .info > .jifenInfo > .p01 {
  font-family: "phm";
  font-size: 16px;
  line-height: 22px;
  color: #333333;
  margin-bottom: 10px;
}
.indexGroup > .info > .jifenInfo > .p01 > a {
  font-family: "phr";
  font-size: 14px;
  line-height: 20px;
  margin-left: 18px;
  color: var(--themeColorA);
}
.indexGroup > .info > .jifenInfo > .p02 {
  font-family: "phm";
  font-size: 28px;
  line-height: 38px;
  color: #333333;
}
.indexGroup > .info > .jifenInfo > .p02 > a {
  font-family: "phr";
  font-size: 14px;
  line-height: 20px;
  margin-left: 18px;
  color: var(--themeColorA);
  cursor: pointer;
}
.indexGroup > .func {
  width: auto;
  height: 40px;
  display: flex;
  align-items: center;
}
.indexGroup > .func > a {
  background-color: var(--themeColorA);
  height: 40px;
  margin-left: 20px;
}
.indexGroup > .func > .funcBtn {
  width: 95px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-family: "phm";
  font-size: 16px;
  line-height: 1em;
  color: white;
}
.indexGroup > .func > .cartBtn {
  display: flex;
  align-items: center;
  padding-right: 1px;
  background-color: unset;
}
.indexGroup > .func > .cartBtn > div {
  width: 40px;
  height: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: var(--themeColorA);
}
.indexGroup > .func > .cartBtn > div > div {
  width: 20px;
  height: 20px;
  background: url("../../images/carticon.png") center no-repeat;
  background-size: 100% 100%;
}
.indexGroup > .func > .cartBtn > p {
  width: 140px;
  height: 40px;
  background-color: white;
  display: flex;
  align-items: center;
  justify-content: center;
  font-family: "phm";
  font-size: 16px;
  line-height: 1em;
  color: var(--themeColorA);
  border: 1px solid var(--themeColorA);
}
.indexGroup > .func > .cartBtn > p > span {
  color: #2f8eed;
}

.banner {
  width: 100%;
  height: 260px;
  margin-bottom: 10px !important;
}
.banner .swiper-pagination-bullet {
  width: 12px;
  height: 12px;
  border-radius: 6px;
  -webkit-border-radius: 6px;
  -moz-border-radius: 6px;
  -ms-border-radius: 6px;
  -o-border-radius: 6px;
  background-color: transparent;
  border: 1px solid #ffcc00;
}
.banner .swiper-pagination-bullet.swiper-pagination-bullet-active {
  background-color: #ffcc00;
}
.banner .swiper-button-prev {
  display: none;
  width: 40px;
  height: 40px;
  background: url("../../images/swiperLeft.png") center no-repeat;
  background-size: 100% 100%;
  left: 0 !important;
}
.banner .swiper-button-next {
  display: none;
  width: 40px;
  height: 40px;
  background: url("../../images/swiperRight.png") center no-repeat;
  background-size: 100% 100%;
  right: 0 !important;
}
.banner:hover .swiper-button-prev {
  display: block;
}
.banner:hover .swiper-button-next {
  display: block;
}
.banner .swiper-button-prev:hover {
  background: url("../../images/swiperLeftHover.png") center no-repeat;
  background-size: 100% 100%;
}
.banner .swiper-button-next:hover {
  background: url("../../images/swiperRightHover.png") center no-repeat;
  background-size: 100% 100%;
}

/* 积分筛选 */
.jifenFilter {
  width: 100%;
  height: 80px;
  background-color: white;
  display: flex;
  align-items: center;
  padding: 0 30px;
}
.jifenFilter > p {
  font-family: "phb";
  font-size: 16px;
  line-height: 22px;
  color: #333333;
}
.jifenFilter > .priceList {
  width: auto;
  height: auto;
  display: flex;
  align-items: center;
  margin-right: 20px;
}
.jifenFilter > .priceList > a {
  min-width: 66px;
  height: 25px;
  background-color: white;
  border: 1px solid #e8e8e8;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0 15px;
  font-family: "phr";
  font-size: 14px;
  line-height: 1em;
  color: #333333;
  flex-shrink: 1;
  margin-left: 20px;
  transition: all 0.1s linear;
  -webkit-transition: all 0.1s linear;
  -moz-transition: all 0.1s linear;
  -ms-transition: all 0.1s linear;
  -o-transition: all 0.1s linear;
}
.jifenFilter > .priceList > a:hover {
  background-color: var(--themeColorA);
  color: white;
  border-color: var(--themeColorA);
}
.jifenFilter > select {
  width: 170px;
  flex: 1;
  height: 25px;
  background-color: white;
  border: 1px solid #e8e8e8;
  border-radius: 0;
  -webkit-border-radius: 0;
  -moz-border-radius: 0;
  -ms-border-radius: 0;
  -o-border-radius: 0;
  padding: 0 15px;
  font-family: "phr";
  font-size: 14px;
  color: #333333;
}

.goodsSuggest {
  width: 100%;
  height: 272px;
  /* margin-top: 420px; */
  background-color: white;
  display: flex;
  align-items: center;
}
.goodsSuggest > .img {
  width: 200px;
  height: 100%;
}
.goodsSuggest > .list {
  width: 1000px;
  height: 100%;
  display: flex;
  align-items: center;
  padding: 0 6.5px;
}
.goodsSuggest > .list > .item {
  display: block;
  width: 165px;
  height: 220px;
  margin-left: 27px;
}
.goodsSuggest > .list > .item:last-child {
  margin-right: 27px;
}
.goodsSuggest > .list > .item > .img {
  width: 140px;
  height: 140px;
}
.goodsSuggest > .list > .item > .p01 {
  width: 100%;
  height: 40px;
  margin-top: 20px;
  font-family: "phr";
  font-size: 14px;
  line-height: 20px;
  color: #333333;
}
.goodsSuggest > .list > .item > .p02 {
  width: 100%;
  height: 17px;
  margin-top: 3px;
  font-family: "phr";
  font-size: 12px;
  line-height: 17px;
  color: #999999;
  text-decoration: line-through;
}
.goodsSuggest > .list > .item > .p03 {
  width: 100%;
  height: 20px;
  margin-top: 4px;
  font-family: "phm";
  font-size: 14px;
  line-height: 20px;
  color: var(--themeColorB);
}

/* 商品分类列表 */
.goodsCates {
  width: 100%;
  height: auto;
  margin-top: 20px;
}
.goodsCates > .catesList {
  width: 100%;
  height: 60px;
  display: flex;
  align-items: center;
  background-color: white;
}
.goodsCates > .catesList > .item {
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  width: 132px;
  height: 60px;
  font-family: "phb";
  font-size: 16px;
  line-height: 1em;
  color: #333333;
}
.goodsCates > .catesList > .item.active {
  background-color: var(--themeColorA);
  color: white;
}
.goodsCates > .catesList > .item:hover {
  background-color: var(--themeColorA);
  color: white;
}

.goodsCates > .catesGoods {
  width: 100%;
  height: 272px;
  display: flex;
  align-items: center;
  margin-top: 20px;
}
.goodsCates > .catesGoods > .item {
  width: 224px;
  height: 272px;
  background-color: white;
  display: block;
  padding: 20px 20px 12px 20px;
  margin-right: 20px;
}
.goodsCates > .catesGoods > .item:last-child {
  margin-right: 0;
}
.goodsCates > .catesGoods > .item > .img {
  width: 184px;
  height: 184px;
}
.goodsCates > .catesGoods > .item > .p01 {
  width: 100%;
  height: 20px;
  margin-top: 10px;
  font-family: "phr";
  font-size: 14px;
  line-height: 20px;
  color: #333333;
}
.goodsCates > .catesGoods > .item > .p02 {
  width: 100%;
  height: 20px;
  font-family: "phm";
  font-size: 14px;
  line-height: 20px;
  color: var(--themeColorB);
  margin-top: 6px;
}
.ruler_box {
  width: 100vw;
  height: 100vh; /* 补充全屏高度，若需局部弹窗可改为具体高度 */
  background: rgba(0, 0, 0, 0.5); /* 黑色半透明（0.5为透明度，0-1可调） */
  position: fixed; /* 固定定位，覆盖整个屏幕 */
  top: 0;
  left: 0;
  z-index: 999; /* 确保弹窗在最上层 */
  /* 渐变过渡核心：控制透明度和可见性 */
  opacity: 0; /* 默认隐藏（透明度0） */
  visibility: hidden; /* 默认隐藏（不占布局空间） */
  transition: opacity 0.3s ease, visibility 0.3s ease; /* 0.3s渐变时长，可调整 */
  display: flex;
  justify-content: center;
  align-items: center;
}
.ruler_box.active {
  opacity: 1; /* 显示时透明度1 */
  visibility: visible; /* 显示时占布局空间 */
}
.ruler_box .ruler_box_img {
  width: 880px;
  height: 70%;
  margin: 0 auto;
  overflow-y: auto;
  border-radius: 4px;
}
.ruler_box .ruler_box_img img {
  width: 100%;
}
 .close_btn{
  position: fixed;
  top: 11.5%;
  left: calc(50% + 450px);
  background-image: url('../../images/close_icon.png');
  background-size: 100% 100%;
  width: 35px;
  height: 35px;
  border: 1px solid rgb(222, 222, 222);
  border-radius: 50%;
  z-index: 1000;
 }
